<?php
/*
Plugin Name: Tilt Link
Version: 0.8
Plugin URI: http://flatpress.info/
Type: CSS
Description: Tilt Link line 
Author: Flatpress.info
Author URI: http://flatpress.info
*/

function plugin_tiltlink_css() {
	global $tlcss;
	$tlcss = array();
	$lang = lang_load('plugin:tiltlink');
	$tlcss['subject'] = $lang['plugin']['tiltlink']['subject'];
	include 'tiltcss.php';
	$h=$tlcss['css'];
	echo '<style type="text/css">   <!-- ' . $h . ' --></style>'; 
	return;
}
add_action('wp_head', 'plugin_tiltlink_css');

if (class_exists('AdminPanelAction')){
	class admin_plugin_tiltlink extends AdminPanelAction {
		function setup() {
			$this->smarty->assign('admin_resource', "plugin:tiltlink/admin.plugin.tiltlink");
			$bc_config = plugin_getoptions('tiltlink');
			if(!$bc_config['tiltlink']) {
                        	$tiltlink = "body";
                        	plugin_addoption('tiltlink', 'tiltlink', $tiltlink);
                        	plugin_saveoptions('tiltlink');
			}
		}
		function main() {
			$bc_config = plugin_getoptions('tiltlink');
			$this->smarty->assign('bc_config', $bc_config);
		}
		function onsubmit() {
			if ($_POST['bc-tiltlink']){
				$tiltlink = $_POST['bc-tiltlink'];
				plugin_addoption('tiltlink', 'tiltlink', $tiltlink);
				plugin_saveoptions('tiltlink');
				$this->smarty->assign('success', 1);
			} else {
			 	$this->smarty->assign('success', -1);
			}
			return 2;
		}
	}
	admin_addpanelaction('plugin', 'tiltlink', true);
}
?>
